Bug 177856 - [PATCH] Update and move port: devel/ruby-term-ansicolor
Summary: [PATCH] Update and move port: devel/ruby-term-ansicolor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 17:00 UTC by Chris Rees
Modified: 2013-04-30 23:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2013-04-14 17:00:00 UTC
	term-ansicolor is now a rubygem, so I've also moved the port accordingly.

	I *think* svn patch should handle the move correctly, or I don't mind committing it since I have the wrkdir here already.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--utb4wPDACXWXL6xR1O897FHpOv73ntXCw7G3AdZ2R7vl4KZs
Content-Type: text/plain; name="ruby-term-ansicolor.rubygem.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="ruby-term-ansicolor.rubygem.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 315799)
+++ Makefile	(working copy)
@@ -3945,7 +3945,6 @@
     SUBDIR += ruby-statgrab
     SUBDIR += ruby-subversion
     SUBDIR += ruby-sysvipc
-    SUBDIR += ruby-term-ansicolor
     SUBDIR += ruby-tzfile
     SUBDIR += ruby-wirble
     SUBDIR += rubygem-abstract
@@ -4154,6 +4153,7 @@
     SUBDIR += rubygem-sysinfo
     SUBDIR += rubygem-systemu
     SUBDIR += rubygem-templater
+    SUBDIR += rubygem-term-ansicolor
     SUBDIR += rubygem-test
     SUBDIR += rubygem-test-unit
     SUBDIR += rubygem-thor
Index: ruby-term-ansicolor/Makefile
===================================================================
--- ruby-term-ansicolor/Makefile	(revision 315799)
+++ ruby-term-ansicolor/Makefile	(working copy)
@@ -1,39 +0,0 @@
-# New ports collection makefile for:	ruby-term-ansicolor
-# Date created:		2007-01-12
-# Whom:			Cheng-Lung Sung <clsung@FreeBSD.org>
-#
-# $FreeBSD$
-#
-
-PORTNAME=	term-ansicolor
-PORTVERSION=	1.0.4
-CATEGORIES=	devel ruby
-MASTER_SITES=	RF
-PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
-EXTRACT_SUFX=	.tgz
-DIST_SUBDIR=	ruby
-
-MAINTAINER=	clsung@FreeBSD.org
-COMMENT=	Term::ANSIColor for Ruby
-
-USE_RUBY=	yes
-RUBY_SETUP=	install.rb
-
-NO_BUILD=	yes
-
-DOCS=		doc-main.txt
-EXAMPLES=	examples/*
-
-do-install:
-	@cd ${INSTALL_WRKSRC}; \
-	${SETENV} ${MAKE_ENV} ${RUBY} ${RUBY_FLAGS} ${RUBY_SETUP}
-
-post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${RUBY_MODDOCDIR}
-	${MKDIR} ${RUBY_MODEXAMPLESDIR}
-	${INSTALL_DATA} ${DOCS:S,^,${WRKSRC}/,} ${RUBY_MODDOCDIR}
-	${INSTALL_DATA} ${EXAMPLES:S,^,${WRKSRC}/,} ${RUBY_MODEXAMPLESDIR}
-.endif
-
-.include <bsd.port.mk>
Index: ruby-term-ansicolor/distinfo
===================================================================
--- ruby-term-ansicolor/distinfo	(revision 315799)
+++ ruby-term-ansicolor/distinfo	(working copy)
@@ -1,2 +0,0 @@
-SHA256 (ruby/term-ansicolor-1.0.4.tgz) = aef5c6e40d9abe61872d0e749e9d1c417b3bc84809c224a82293bb52a9f8ce40
-SIZE (ruby/term-ansicolor-1.0.4.tgz) = 12287
Index: ruby-term-ansicolor/pkg-descr
===================================================================
--- ruby-term-ansicolor/pkg-descr	(revision 315799)
+++ ruby-term-ansicolor/pkg-descr	(working copy)
@@ -1,11 +0,0 @@
-Small Ruby library that colors strings using ANSI escape sequences. 
-It's possible to use constants:
-
-    include Term::ANSIColor
-    print red, bold, "red bold", reset, "\n"
-
-    or
-
-    print red(bold("red bold")), "\n"
-
-WWW: http://term-ansicolor.rubyforge.org/
Index: ruby-term-ansicolor/pkg-plist
===================================================================
--- ruby-term-ansicolor/pkg-plist	(revision 315799)
+++ ruby-term-ansicolor/pkg-plist	(working copy)
@@ -1,9 +0,0 @@
-%%RUBY_SITELIBDIR%%/term/ansicolor.rb
-%%RUBY_SITELIBDIR%%/term/ansicolor/version.rb
-%%PORTDOCS%%%%RUBY_MODEXAMPLESDIR%%/cdiff.rb
-%%PORTDOCS%%%%RUBY_MODEXAMPLESDIR%%/example.rb
-%%PORTDOCS%%@dirrm %%RUBY_MODEXAMPLESDIR%%
-%%PORTDOCS%%%%RUBY_MODDOCDIR%%/doc-main.txt
-%%PORTDOCS%%@dirrm %%RUBY_MODDOCDIR%%
-@dirrmtry %%RUBY_SITELIBDIR%%/term/ansicolor
-@dirrmtry %%RUBY_SITELIBDIR%%/term
Index: rubygem-term-ansicolor/Makefile
===================================================================
--- rubygem-term-ansicolor/Makefile	(working copy)
+++ rubygem-term-ansicolor/Makefile	(working copy)
@@ -1,39 +1,32 @@
-# New ports collection makefile for:	ruby-term-ansicolor
-# Date created:		2007-01-12
-# Whom:			Cheng-Lung Sung <clsung@FreeBSD.org>
-#
+# Created by: Cheng-Lung Sung <clsung@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	term-ansicolor
-PORTVERSION=	1.0.4
+PORTVERSION=	1.1.4
 CATEGORIES=	devel ruby
-MASTER_SITES=	RF
-PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
-EXTRACT_SUFX=	.tgz
-DIST_SUBDIR=	ruby
+MASTER_SITES=	RG
 
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	Term::ANSIColor for Ruby
 
 USE_RUBY=	yes
-RUBY_SETUP=	install.rb
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
 
-NO_BUILD=	yes
+PORTEXAMPLES=	cdiff decolor
 
-DOCS=		doc-main.txt
-EXAMPLES=	examples/*
+.include <bsd.port.options.mk>
 
-do-install:
-	@cd ${INSTALL_WRKSRC}; \
-	${SETENV} ${MAKE_ENV} ${RUBY} ${RUBY_FLAGS} ${RUBY_SETUP}
+post-patch:
+# Chop out the cdiff and decolor binaries; these should be installed to
+# EXAMPLESDIR
+	${REINPLACE_CMD} -e '/^- [cd][de][ic][fo][fl]o*r*$$/d' \
+		${WRKSRC}/term-ansicolor-${PORTVERSION}.gemspec
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${RUBY_MODDOCDIR}
-	${MKDIR} ${RUBY_MODEXAMPLESDIR}
-	${INSTALL_DATA} ${DOCS:S,^,${WRKSRC}/,} ${RUBY_MODDOCDIR}
-	${INSTALL_DATA} ${EXAMPLES:S,^,${WRKSRC}/,} ${RUBY_MODEXAMPLESDIR}
+.if ${PORT_OPTIONS:MEXAMPLES}
+	${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${PORTEXAMPLES:S,^,${WRKSRC}/bin/,} ${EXAMPLESDIR}/
 .endif
 
 .include <bsd.port.mk>
Index: rubygem-term-ansicolor/distinfo
===================================================================
--- rubygem-term-ansicolor/distinfo	(working copy)
+++ rubygem-term-ansicolor/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (ruby/term-ansicolor-1.0.4.tgz) = aef5c6e40d9abe61872d0e749e9d1c417b3bc84809c224a82293bb52a9f8ce40
-SIZE (ruby/term-ansicolor-1.0.4.tgz) = 12287
+SHA256 (rubygem/term-ansicolor-1.1.4.gem) = 195d10f2ff32214b722acc50b9ab9670dff944a2b0eb34c427324d56d2ac4911
+SIZE (rubygem/term-ansicolor-1.1.4.gem) = 20480
Index: rubygem-term-ansicolor/pkg-plist
===================================================================
--- rubygem-term-ansicolor/pkg-plist	(revision 315799)
+++ rubygem-term-ansicolor/pkg-plist	(working copy)
@@ -1,9 +0,0 @@
-%%RUBY_SITELIBDIR%%/term/ansicolor.rb
-%%RUBY_SITELIBDIR%%/term/ansicolor/version.rb
-%%PORTDOCS%%%%RUBY_MODEXAMPLESDIR%%/cdiff.rb
-%%PORTDOCS%%%%RUBY_MODEXAMPLESDIR%%/example.rb
-%%PORTDOCS%%@dirrm %%RUBY_MODEXAMPLESDIR%%
-%%PORTDOCS%%%%RUBY_MODDOCDIR%%/doc-main.txt
-%%PORTDOCS%%@dirrm %%RUBY_MODDOCDIR%%
-@dirrmtry %%RUBY_SITELIBDIR%%/term/ansicolor
-@dirrmtry %%RUBY_SITELIBDIR%%/term
Comment 1 Edwin Groothuis freebsd_committer 2013-04-14 17:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-30 22:56:48 UTC
Author: crees
Date: Tue Apr 30 21:56:40 2013
New Revision: 316968
URL: http://svnweb.freebsd.org/changeset/ports/316968

Log:
  devel/ruby-term-ansicolor: Update and move origin
  
  term-ansicolor is now a rubygem, and is at version 1.1.4.
  
  PR:		ports/177856
  Approved by:	maintainer timeout (clsung, 16 days)

Added:
  head/devel/rubygem-term-ansicolor/
     - copied from r315799, head/devel/ruby-term-ansicolor/
Deleted:
  head/devel/ruby-term-ansicolor/
  head/devel/rubygem-term-ansicolor/pkg-plist
Modified:
  head/devel/Makefile
  head/devel/rubygem-term-ansicolor/Makefile
  head/devel/rubygem-term-ansicolor/distinfo

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Apr 30 21:04:20 2013	(r316967)
+++ head/devel/Makefile	Tue Apr 30 21:56:40 2013	(r316968)
@@ -3951,7 +3951,6 @@
     SUBDIR += ruby-statgrab
     SUBDIR += ruby-subversion
     SUBDIR += ruby-sysvipc
-    SUBDIR += ruby-term-ansicolor
     SUBDIR += ruby-tzfile
     SUBDIR += ruby-wirble
     SUBDIR += rubygem-abstract
@@ -4160,6 +4159,7 @@
     SUBDIR += rubygem-sysinfo
     SUBDIR += rubygem-systemu
     SUBDIR += rubygem-templater
+    SUBDIR += rubygem-term-ansicolor
     SUBDIR += rubygem-test
     SUBDIR += rubygem-test-unit
     SUBDIR += rubygem-thor

Modified: head/devel/rubygem-term-ansicolor/Makefile
==============================================================================
--- head/devel/ruby-term-ansicolor/Makefile	Sun Apr 14 14:10:51 2013	(r315799)
+++ head/devel/rubygem-term-ansicolor/Makefile	Tue Apr 30 21:56:40 2013	(r316968)
@@ -1,39 +1,32 @@
-# New ports collection makefile for:	ruby-term-ansicolor
-# Date created:		2007-01-12
-# Whom:			Cheng-Lung Sung <clsung@FreeBSD.org>
-#
+# Created by: Cheng-Lung Sung <clsung@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	term-ansicolor
-PORTVERSION=	1.0.4
+PORTVERSION=	1.1.4
 CATEGORIES=	devel ruby
-MASTER_SITES=	RF
-PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
-EXTRACT_SUFX=	.tgz
-DIST_SUBDIR=	ruby
+MASTER_SITES=	RG
 
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	Term::ANSIColor for Ruby
 
 USE_RUBY=	yes
-RUBY_SETUP=	install.rb
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
 
-NO_BUILD=	yes
+PORTEXAMPLES=	cdiff decolor
 
-DOCS=		doc-main.txt
-EXAMPLES=	examples/*
+.include <bsd.port.options.mk>
 
-do-install:
-	@cd ${INSTALL_WRKSRC}; \
-	${SETENV} ${MAKE_ENV} ${RUBY} ${RUBY_FLAGS} ${RUBY_SETUP}
+post-patch:
+# Chop out the cdiff and decolor binaries; these should be installed to
+# EXAMPLESDIR
+	${REINPLACE_CMD} -e '/^- [cd][de][ic][fo][fl]o*r*$$/d' \
+		${WRKSRC}/term-ansicolor-${PORTVERSION}.gemspec
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${RUBY_MODDOCDIR}
-	${MKDIR} ${RUBY_MODEXAMPLESDIR}
-	${INSTALL_DATA} ${DOCS:S,^,${WRKSRC}/,} ${RUBY_MODDOCDIR}
-	${INSTALL_DATA} ${EXAMPLES:S,^,${WRKSRC}/,} ${RUBY_MODEXAMPLESDIR}
+.if ${PORT_OPTIONS:MEXAMPLES}
+	${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${PORTEXAMPLES:S,^,${WRKSRC}/bin/,} ${EXAMPLESDIR}/
 .endif
 
 .include <bsd.port.mk>

Modified: head/devel/rubygem-term-ansicolor/distinfo
==============================================================================
--- head/devel/ruby-term-ansicolor/distinfo	Sun Apr 14 14:10:51 2013	(r315799)
+++ head/devel/rubygem-term-ansicolor/distinfo	Tue Apr 30 21:56:40 2013	(r316968)
@@ -1,2 +1,2 @@
-SHA256 (ruby/term-ansicolor-1.0.4.tgz) = aef5c6e40d9abe61872d0e749e9d1c417b3bc84809c224a82293bb52a9f8ce40
-SIZE (ruby/term-ansicolor-1.0.4.tgz) = 12287
+SHA256 (rubygem/term-ansicolor-1.1.4.gem) = 195d10f2ff32214b722acc50b9ab9670dff944a2b0eb34c427324d56d2ac4911
+SIZE (rubygem/term-ansicolor-1.1.4.gem) = 20480
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-04-30 22:58:14 UTC
Author: crees
Date: Tue Apr 30 21:58:06 2013
New Revision: 316969
URL: http://svnweb.freebsd.org/changeset/ports/316969

Log:
  Document move of ruby-term-ansicolor
  
  PR:		ports/177856

Modified:
  head/MOVED

Modified: head/MOVED
==============================================================================
--- head/MOVED	Tue Apr 30 21:56:40 2013	(r316968)
+++ head/MOVED	Tue Apr 30 21:58:06 2013	(r316969)
@@ -4239,3 +4239,4 @@ www/p5-Dancer-Plugin-DataFu||2013-04-30|
 devel/p5-Oogly||2013-04-30|Has expired: No more public distfiles
 mail/listmanager||2013-04-30|Has expired: No more upstream, no more public distfiles
 net-mgmt/nettop||2013-04-30|Has expired: Dead upstream
+devel/ruby-term-ansicolor|devel/rubygem-term-ansicolor|2013-04-30|Moved to Rubygems
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2013-04-30 22:58:28 UTC
State Changed
From-To: open->closed

Committed after timeout.